<?php 

class ControladorMarcas{

    /** CREAR MARCAS */

    static public function ctrCrearMarca(){

        if (isset($_POST["nuevaMarca"])) {
            if (preg_match('/^[a-zA-Z0-9ñÑáéíóúÁÉÍÓÚ ]+$/', $_POST["nuevaMarca"])) {
                
                $tabla = "marcas";

				$datos = array("descripcion" => $_POST["nuevaMarca"],
					           "proveedor" => $_POST["seleccionarProveedor"]);

                $respuesta = ModeloMarcas::mdlIngresarMarca($tabla, $datos);

                if ($respuesta == "ok") {

                    echo '<script>
					swal({
						type: "success",
						title: "La Marca ha sido guardado correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){						
							window.location = "marcas";
						}
					});			
					</script>';

                }
            }else {
                echo '<script>

					swal({

						type: "error",
						title: "¡El Marca no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"

					}).then(function(result){

						if(result.value){
						
							window.location = "marcas";

						}

					});
				

				</script>';
            }
        }
    }

    	/*=============================================
	MOSTRAR MARCA
	=============================================*/

	static public function ctrMostrarMarcas($item, $valor){

		$tabla = "marcas";

		$respuesta = ModeloMarcas::MdlMostrarMarcas($tabla, $item, $valor);

		return $respuesta;
	}
	/** EDITAR MarcaS */

    static public function ctrEditarMarca(){

        if (isset($_POST["editarMarca"])) {
            if (preg_match('/^[a-zA-Z0-9ñÑáéíóúÁÉÍÓÚ ]+$/', $_POST["editarMarca"])) {
                
                $tabla = "marcas";
                $datos = array("descripcion"=>$_POST["editarMarca"], 
							   "id"=>$_POST["idMarca"],
							   "proveedor" => $_POST["seleccionarProveedor"]);
                $respuesta = ModeloMarcas::mdlEditarMarca($tabla, $datos);
                if ($respuesta == "ok") {
                    echo '<script>
					swal({
						type: "success",
						title: "La Marca ha sido editada correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){						
							window.location = "marcas";
						}
					});				
					</script>';

                }
            }else {
                echo '<script>

					swal({

						type: "error",
						title: "La Marca no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"

					}).then(function(result){

						if(result.value){
						
							window.location = "marcas";

						}

					});
				

				</script>';
            }
        }
    }
	/*=============================================
	BORRAR Marca
	=============================================*/

	static public function ctrBorrarMarca(){

		if(isset($_GET["idMarca"])){

			$tabla ="marcas";
			$datos = $_GET["idMarca"];

			$respuesta = ModeloMarcas::mdlBorrarMarca($tabla, $datos);

			if($respuesta == "ok"){

				echo'<script>

				swal({
					  type: "success",
					  title: "La Marca ha sido borrado correctamente",
					  showConfirmButton: true,
					  confirmButtonText: "Cerrar"
					  }).then(function(result){
								if (result.value) {

								window.location = "marcas";

								}
							})

				</script>';

			}		

		}

	}

}